Bug 492740 - Black screen after suspend; "hash matches drivers/base/power/main.c:387"
Black screen after suspend; "hash matches drivers/base/power/main.c:387"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-29 01:05 EDT by hackob
Modified: 2009-12-18 04:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:08:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output with pm_trace functionality activated (34.42 KB, text/plain)
2009-03-29 01:05 EDT, hackob
no flags Details

  None (edit)
Description hackob 2009-03-29 01:05:48 EDT
Created attachment 337145 [details]
dmesg output with pm_trace functionality activated

Description of problem:

*** IMPORTANT ***
This is not the same bug as 473195, becase this is not related with graphics driver.

After suspend or hibernate there is only a black screen; mouse and keyboard are dead. Activating the pm_trace functionality I get this hash:

[root@ricgomez ~]# dmesg | grep "hash matches"
  hash matches drivers/base/power/main.c:387

I'm attaching my dmesg out.

Version-Release number of selected component (if applicable):
kernel-2.6.27.19-170.2.35.fc10.i686

How reproducible:
Suspend or Hibernate from Gnome desktop or terminal

Steps to Reproduce:
1. Boot laptop
2. Suspend with or without desktop effects
3. Resume, see black screen
  
Actual results:
No response from keyboard or mouse

Expected results:
Normal resume.

Additional info:
Comment 1 hackob 2009-03-29 01:15:09 EDT
Hardware profile:
* Processor: AMD Turion™ 64 X2 Dual-Core TL-60
* Memory: 3072MB DDR2 667Mhz;
* Video: NVIDIA GeForce Go 7150M
* WiFi: Atheros Communications Inc. AR242x 802.11abg (ath5k module)
* Ethernet: nVidia Corporation MCP67 Ethernet
Comment 2 Alexey Kuznetsov 2009-04-10 08:46:47 EDT
Same on my machine.

MSI gx620 (nvidia 9600m gt)

[axet@axet-laptop ~]$ cat ddd |grep "hash ma"
  hash matches drivers/base/power/main.c:387
processor ACPI0007:03: hash matches
[axet@axet-laptop ~]$ 


----

[axet@axet-laptop ~]$ cat d2 |grep "hash ma"
  hash matches drivers/base/power/main.c:347
bsg 0:0:0:0: hash matches
scsi_device 0:0:0:0: hash matches
scsi_disk 0:0:0:0: hash matches
sd 0:0:0:0: hash matches
pci 0000:00:1f.3: hash matches
[axet@axet-laptop ~]$
Comment 3 Licia Leanza 2009-04-11 16:16:12 EDT
I have the same problem (but in my case only for suspend: infact hybernate works)

$  dmesg | grep "hash matches"
  hash matches drivers/base/power/main.c:387

My laptop is:
product: HP Pavilion dv5 Notebook PC
vendor: Hewlett-Packard
version: Rev 1
Processore: AMD Turion 64 RM70, 2.0 GHz, 2x512KB cache L2, HT 4000MHz
Memoria: 4096 MB DDR2
Schermo: 15.4 pollici WXGA (1280 x 800) HP High Definition BrightView
Scheda Video: ATI Mobility Radeon HD3450, 256MB dedicati
Hard Disk: 250 GB SATA 5400 rpm
Drive Ottico: Masterizzatore DVD DL Super Multi LightScribe
Porte: 4 x USB 2.0, 1 x eSATA, 1 x VGA,1 x HDMI, 1 x RJ45, 1 x S-Video, 2 x uscite cuffia, 1 x ingresso micforono, 1 x IEEE 1394 Firewire, 1 x Infrarossi (telecomando), 1 x Docking, 1 x Slot Express Card 54, Lettore supporti digitali 5in1 (Secure Digital, MuktiMedia, Memory Stick, Memory Stick Pro, xD Picture)
Networking: WiFi 802.11b/g, Lan Gigabit Ethernet 10/100/1000
Comment 4 James Hogan 2009-04-26 06:59:10 EDT
Same here. I've been experiencing this for a few months now. Often (but not always) I get the blank screen after suspend to ram. I haven't tried hibernation.

After following http://fedoraproject.org/wiki/KernelCommonProblems#Suspend.2FResume_to_RAM_failure i get the same hash match as above:
$ dmesg | grep "hash ma"
  hash matches drivers/base/power/main.c:347

System info:
Dell XPS M1210
CPU: Intel Core2 T5600
Memory: 3273MB available (4GB physical)
uname -a: Linux gandalf 2.6.27.21-170.2.56.fc10.x86_64 #1 SMP Mon Mar 23 23:08:10 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
GFX card: GeForce Go 7400 mem:256MB
NVIDIA driver version 180.51
Wifi: iwl3945-firmware 15.28.2.8-2
If any more info is required, let me know
Comment 5 hackob 2009-06-11 09:14:17 EDT
Testing with Fedora, I'm having the same problem, here is the result of dmesg:

[root@desarrollo ~]# dmesg | grep "hash matches"
  hash matches drivers/base/power/main.c:294

System info:
* Processor: AMD Turion™ 64 X2 Dual-Core TL-60
* Memory: 3072MB DDR2 667Mhz;
* Video: NVIDIA GeForce Go 7150M
* WiFi: Atheros Communications Inc. AR242x 802.11abg (ath5k module)
* Ethernet: nVidia Corporation MCP67 Ethernet  

[root@desarrollo ~]# uname -a
Linux desarrollo.ricgomez.net 2.6.29.4-167.fc11.i686.PAE #1 SMP Wed May 27 17:28:22 EDT 2009 i686 athlon i386 GNU/Linux
Comment 6 mcannon@alsto.com 2009-06-26 10:16:47 EDT
(In reply to comment #0)
> Created an attachment (id=337145) [details]
> dmesg output with pm_trace functionality activated
> Description of problem:
> *** IMPORTANT ***
> This is not the same bug as 473195, becase this is not related with graphics
> driver.
> After suspend or hibernate there is only a black screen; mouse and keyboard are
> dead. Activating the pm_trace functionality I get this hash:
> [root@ricgomez ~]# dmesg | grep "hash matches"
>   hash matches drivers/base/power/main.c:387
> I'm attaching my dmesg out.
> Version-Release number of selected component (if applicable):
> kernel-2.6.27.19-170.2.35.fc10.i686
> How reproducible:
> Suspend or Hibernate from Gnome desktop or terminal
> Steps to Reproduce:
> 1. Boot laptop
> 2. Suspend with or without desktop effects
> 3. Resume, see black screen
> Actual results:
> No response from keyboard or mouse
> Expected results:
> Normal resume.
> Additional info:  

>Squash the little squirt.  Free Willy!
Comment 7 Bug Zapper 2009-11-18 04:57:34 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Michael Breuer 2009-11-29 21:31:14 EST
Thank you for the bug report. This particular bug has already been reported into our bug tracking system, but please feel free to report any further bugs you find.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

*** This bug has been marked as a duplicate of bug 473542 ***
Comment 9 Michael Breuer 2009-11-30 15:20:01 EST
My denoting this as duplicate seems to have been premature.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2009-12-18 04:08:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.